Subject: Re: newlib and long-double question
From: Reini Urban <[email-masked]>
To: [email-masked]
Cc: "N. C." <[email-masked]>
Date: Sun, 10 Apr 2011 17:32:56 +0200
List-Id: <cygwin.cygwin.com>

2011/4/9 N. C.:
> On 4/9/11, marco atzeri wrote:
>> On Sat, Apr 9, 2011 at 6:05 PM, Christopher Faylor  wrote:
>>> On Sat, Apr 09, 2011 at 08:20:13AM -0700, Necro Cow wrote:
>>>>I have recently discovered that the cygwin version I am using (1.7.7)
>>>>doesn't support many long-double function, like sqrtl, modfl, frexpl,
>>>>etc.
>>>>
>>>>I have been reading on newlib's website, sourceware.org/newlib, that
>>>>as of version 1.18.0, such long-double functions are now supported.
>>>>(http://sourceware.org/ml/newlib/2009/msg01135.html)
>>
>> further the newlib announce says:
>> * long double math routines added for platforms where LDBL == DBL
>>
>> so in reality you gain no additional performance on the double.
>>>>What I can't seem to find out is, what version of newlib is in the
>>>>newest release of cygwin, and if it has this better support for
>>>>long-double functions.
>>>
>>> Cygwin uses whatever is in the newlib tree as of its release date.  That
>>> means that since Cygwin 1.7.7-1 was released in August 2010* it would
>>> incorporate any newlib changes from 2009.  That doesn't mean that we would
>>> export every single thing that newlib provides, however.  If functionality
>>> is missing that means that no one has taken the time to get it working in
>>> the Cygwin DLL.
>>>
>>> cgf
>>>
>>> *http://sourceware.org/ml/cygwin-announce/2010-08/msg00035.html
>>>
>>
>> on 1.7.8 most of the missing "double" function were added
>> http://sourceware.org/ml/cygwin-announce/2011-03/msg00000.html
>>
>> I thought to implement also the long double but as doubles are 64 bit
>> and long doubles are just 80 bits on windows, I found the effort not worth.
>>
>> Marco
>
> I have fully updated my cygwin tp 1.7.9(0.237/5/3) and I still get
> this error when I try to build Perl (5.12.3 in this case but same with
> other versions) with uselongdouble enabled in the Configure script,
> which fails with:
>
> *** You requested the use of long doubles but you do not seem to have
> *** the following mathematical functions needed for long double support:
> ***     sqrtl modfl frexpl
> *** Please rerun Configure without -Duselongdouble and/or -Dusemorebits.
> *** Cannot continue, aborting.

I started to implement those three missing functions some time ago for perl
but got stuck somewhere.
I posted sqrtl to the newlib list.

Maybe I'll make for it for the upcoming perl-5.14.0 release but my
time is limited.
-- 
Reini Urban
http://phpwiki.org/           http://murbreak.at/

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple